com.holonplatform.vaadin.flow.components.builders

## Interface HasLabelConfigurator<C extends HasLabelConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    BaseTemporalInputConfigurator<D,C>, BooleanInputBuilder, BooleanInputConfigurator<C>, DateInputBuilder, DateInputConfigurator<C>, DateTimeInputBuilder, DateTimeInputConfigurator<C>, LocalDateInputBuilder, LocalDateInputConfigurator<C>, LocalDateTimeInputBuilder, LocalDateTimeInputConfigurator<C>, LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, OptionsModeMultiSelectInputBuilder<T,ITEM,B>, OptionsModeMultiSelectInputBuilder.DatastoreItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.DatastoreItemOptionsModeMultiSelectInputConfigurator<T,ITEM,C>, OptionsModeMultiSelectInputBuilder.DatastorePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.DatastorePropertyOptionsModeMultiSelectInputConfigurator<T,C>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputConfigurator<T,D,C>, OptionsModeMultiSelectInputBuilder.ValidatableDatastoreItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ValidatableDatastorePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.ValidatableItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ValidatablePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder<T,ITEM,B>, OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputConfigurator<T,ITEM,C>, OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputConfigurator<T,C>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputConfigurator<T,ITEM,D,C>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D,C>, OptionsModeSingleSelectInputBuilder.ValidatableDatastoreItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ValidatableDatastorePropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.ValidatableItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ValidatablePropertyOptionsModeSingleSelectInputBuilder<T>, PasswordInputBuilder, PasswordInputConfigurator<C>, SelectModeSingleSelectInputBuilder<T,ITEM,B>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputConfigurator<T,ITEM,C>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputConfigurator<T,ITEM,D,C>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputConfigurator<T,D,C>, SelectModeSingleSelectInputBuilder.ValidatableDatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatableDatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.ValidatableItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatablePropertySelectModeSingleSelectInputBuilder<T>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ValidatableBooleanInputBuilder, ValidatableDateInputBuilder, ValidatableDateTimeInputBuilder, ValidatableLocalDateInputBuilder, ValidatableLocalDateTimeInputBuilder, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder, ViewComponentAdapterBuilder<T>, ViewComponentBuilder<T>, ViewComponentConfigurator<T,C>

      public interface HasLabelConfigurator<C extends HasLabelConfigurator<C>>

  Configurator for `HasLabel` type components.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `label(com.holonplatform.core.i18n.Localizable label)` Sets the label text using a `Localizable` message.
    `default C` | `label(String label)` Sets the label text, replacing any previous content.
    `default C` | `label(String defaultLabel, String messageCode, Object... arguments)` Sets the label text using a localizable `messageCode`.

- - ### Method Detail

    - #### label

          C label(com.holonplatform.core.i18n.Localizable label)

      Sets the label text using a `Localizable` message.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` value is interpreted as an empty text.

      Parameters:
        `label` - Localizable label text message (may be null)
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### label

          default C label(String label)

      Sets the label text, replacing any previous content.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` text value is interpreted as an empty text.

      Parameters:
        `label` - The label text to set
      Returns:
        this

    - #### label

          default C label(String defaultLabel,
                          String messageCode,
                          Object... arguments)

      Sets the label text using a localizable `messageCode`.

      The text value is interpred as plain text and the HTML markup is not supported.

      Parameters:
        `defaultLabel` - Default label text if no translation is available for given `messageCode`
        `messageCode` - Label text translation message key
        `arguments` - Optional translation arguments
      Returns:
        this
      See Also:
        `LocalizationProvider`

Copyright © 2019 The Holon Platform. All rights reserved.